KDED4(8)

NAME
kded4 - Demonio de KDE - desencadena actualizaciones de la base de datos Sycoca cuando es necesario.

RESUMEN

kded4 [--help] [Generic options] [Qt-options] [KDE-options] [--check]

DESCRIPCIóN

kded4 es responsable de crear el archivo de sycoca, p.ej. la caché binaria de los tipos de servicio, tipos mime y servicios para cada usuario.

Efectuará un seguimiento de los directorios que contienen archivos .desktop. Cuando se agrega o elimina un archivo, espera 5 segundos (en el caso de series de actualizaciones) y, a continuación lanza kbuildsycoca4 para actualizar sycoca.

Comprueba archivos de actualización instalados recientemente, p.ej. los archivos *.upd usados para actualizar los archivos de configuración de los usuarios cuando el formato de los archivos de configuración cambia. La orden kconf_update se lanza para realizar las actualizaciones.

Cuando el nombre del sistema cambia, efectuará los cambios necesarios en el entorno KDE y el servidor X para permitir que continúen funcionando adecuadamente, lanzando la orden kdontchangethehostname para efectuar los cambios.

Esas tareas también se realizan siempre que se inicie kded4 para asegurar que la configuración del usuario está actualizada.

Es también responsable de lanzar los módulos de kded4 bajo demanda e iniciar los módulos activados por kded4 como:

Precargador del navegador Konqueror
    Reduce el tiempo de arranque de Konqueror.

Observador de directorio
    Monitoriza los cambios de directorios.

Detección de hardware
    Proporciona una interfaz de usuario para eventos de hardware.

Política de certificados SSL
    Proporciona la política de certificados SSL configurados por el usuario a las aplicaciones.

Configuración del proxy de red
    Configuración automática del proxy.

Cacheo de contraseñas
    Cacheo temporal de contraseñas, por ejemplo: en caso de que una página web con autenticación HTTP no le pida su contraseña para cada enlace y cada imagen de la página. Esas contraseñas se olvidan al salir de KDE (no como KWallet)

Política de sonido
    Proporciona la política de sonido del sistema a las aplicaciones.

Favicons
    Almacena iconos de sitios web.

Gestión de visualización
    Gestiona pantallas y salidas de vídeo.

Cookie jar
    Almacena cookies de red.

Observador de red
    Realiza un seguimiento de la red y actualiza listados de directorio del esclavo KIO network:/.

Módulo subversion
    Proporciona varias acciones de subversión para el gestor de archivos y otros programas.

Estado de la red
    Sigue el estado de las interfaces de red y proporciona notificaciones para las aplicaciones que usan la red.

Demonio de escritura
    Observa los mensajes de los usuarios locales enviados con escribir(1) o escribir a todos(1).

Observador del área de notificaciones
    Realiza un seguimiento de las aplicaciones que quieren usar el área de notificaciones basada en D-Bus.

KMixD
    Servicio de mezclador KMixD

Demonio de la bandeja del sistema
    Realiza un seguimiento de las aplicaciones que quieren usar la bandeja del sistema basada en D-Bus.

Demonio de teclado
    Realiza un seguimiento de los cambios de teclado (nuevo teclado, cambio de esquema)

Notificador de cambios de URL remota
    Proporciona notificaciones de cambio para carpetas de red

Gestor de actividad
    El motor del gestor de actividades de Nepomuk

Monitor de cambios del gestor de pantallas
    Notifica como se ha rotado la pantalla (donde esté disponible)

Notificador de espacio libre
    Advierte cuanto se esté quedando sin espacio en su carpeta personal.

Automontador de dispositivos removibles
    Monta dispositivos automáticamente cuando es necesario.

Módulo de búsqueda de Nepomuk
    Asistente para KIO para asegurar las actualizaciones automáticas de los listados de búsqueda de Nepomuk.

Gestor de energía
    Gestión de energía y notificaciones para batería, pantalla y CPU.

Demonio de control remoto K
    Gestiona las órdenes recibidas de control remoto

Gestor de notificaciones de estado
    Gestiona los servicios que proporcionan notificaciones de estado de las interfaces de usuario.

Monitor de descubrimiento de servicios de DNS-SD
    Monitoriza la red para servicios DNS-SD.

Ejector de dispositivos
    Desmonta y libera automáticamente los dispositivos cuando se pulsa el botón de expulsar.

Zona horaria
    Proporciona acceso a las aplicaciones de las zonas horarias del sistema.

Acciones de entrada
    El servicio de acciones de entrada ejecuta las acciones configuradas al pulsar teclas.

Los módulos de inicio se pueden activar/desactivar usando la orden systemsettings, en «Administración del sistema» > «Arranque y parada» > «Gestor de servicios».

OPCIONES GENéRICAS

--author
    Muestra información sobre el autor.

--help
    Muestra ayuda sobre las opciones.

--help-all
    Muestra todas las opciones.

--help-kde
    Muestra las opciones específicas de KDE.

--help-qt
    Muestra las opciones especificas de QT.

--license
    Muestra información sobre la licencia.

-v --version
    Muestra información de la version

OPCIONES DE LA APLICACIóN

--check
    Comprueba la base de datos Sycoca una sola vez.

UTILIZACIóN

Si se llama a kded4 sin parámetros y ya se está ejecutando, se muestra el mensaje:

    El demonio de KDE (kded) ya se está ejecutando.

Si se llama a la orden kded4 con kded4 --check, actualiza sycoca de KDE mediante kbuildsycoca4.

VEA TAMBIéN

kdeoptions(7), qtoptions(7), kbuildsycoca4(8)

FALLOS

Probablemente haya montones de fallos. Para informar acerca de ellos, utilice bugs.kde.org[1].

AUTHORS

David Faure <faure@kde.org>
    Author.

Waldo Bastian <bastian@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org